SSLManagerCommand (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action, class: SSLManagerCommand

Package org.apache.jmeter.gui.action

# Class SSLManagerCommand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.SSLManagerCommand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class SSLManagerCommand extends AbstractAction
SSL Manager Command. The SSL Manager provides a mechanism to change your client authentication if required by the server. If you have JSSE 1.0.2 installed, you can select your client identity from a list of installed keys. You can also change your keystore. JSSE 1.0.2 allows you to export a PKCS#12 key from Netscape 4.04 or higher and use it in a read only format. You must supply a password that is greater than six characters due to limitations in the keytool program--and possibly the rest of the system.

By selecting a *.p12 file as your keystore (your PKCS#12) format file, you can have a whopping one key keystore. The advantage is that you can test a connection using the assigned Certificate from a Certificate Authority.

TODO ? N.B. The present implementation does not seem to allow selection of keys, it only allows a change of keystore at run-time, or to provide one if not already defined via the property.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLManagerCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  Handle the "sslmanager" action by displaying the "SSL CLient Manager" dialog box.
  `Set<String>`
  `getActionNames()`
  Provide the list of Action names that are available in this command.

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSLManagerCommand

    public SSLManagerCommand()

- ## Method Details

  - ### doAction

    public void doAction(ActionEvent e)
    Handle the "sslmanager" action by displaying the "SSL CLient Manager" dialog box. The Dialog Box is NOT modal, because those should be avoided if at all possible.
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    See Also:
      - `Command.doAction(ActionEvent)`

  - ### getActionNames

    public Set<String> getActionNames()
    Provide the list of Action names that are available in this command.